* {
    box-sizing: border-box !important;
    transition: ease all 0.5s;
}

html {
    scroll-behavior: smooth;
}

body {
    color: #666666;
    font-size: 14px;
    font-family: 'Poppins', sans-serif;
    line-height: 1.80857;
    font-weight: normal;
    overflow-x: hidden;
}

.navbar-brand span {
    color: #ffb6c1;
    font-weight: bold;
}

.nav-link.active {
    color: #ff69b4 !important
}

.nav-link {
    color: #000 !important;
    margin-right: 20px;
}

.navbar-icons i {
    font-size: 1.2rem;
    margin-left: 15px;
    color: #000;
}

.btn-pink {
    background-color: #ff80c0;
    color: white;
    border: none;
}

.btn-pink:hover {
    background-color: #ff65b1;
}

.banner_section {
    width: 100%;
    padding: 90px 0 145px 0;
    background: #fff;
}

.banner_taital {
    font-size: 60px;
    color: #222;
    font-weight: bold;
}

.banner_text {
    font-size: 16px;
    color: #222;
    margin-top: 20px;
}

.started_text {
    padding-top: 20px;
}

.started_text a {
    display: inline-block;
    padding: 10px 20px;
    color: #fff;
    background-color: #fc95c4;
    text-align: center;
    font-size: 18px;
    border-radius: 5px;
    text-decoration: none;
}

.started_text a:hover {
    color: #252525;
    background-color: #faf8f9;
}

.carousel-indicators {
    position: absolute;
    bottom: -40px;
    left: 0;
    display: flex;
    justify-content: flex-start;
    gap: 10px;
    margin-left: 15px;
}

.carousel-indicators button {
    width: auto;
    height: auto;
    border: none;
    background: none;
    color: #252525;
    font-weight: bold;
    opacity: 0.5;
    font-size: 16px;
}

.carousel-indicators .active {
    color: #fc95c4;
    opacity: 1;
}

.about-section {
    background-color: #fff;
    position: relative;
    overflow: hidden;
}

.z-index-1 {
    z-index: 1;
}

.heading-underline {
    display: inline-block;
    width: 50px;
    height: 5px;
    background-color: #fca5a5;
    border-radius: 10px;
    margin-left: 10px;
    vertical-align: middle;
}

.btn-pink {
    background-color: #fc95c4;
    color: white;
    border: none;
    border-radius: 5px;
    transition: 0.3s ease;
}

.btn-pink:hover {
    background-color: #fff;
    color: #fc95c4;
    border: 1px solid #fc95c4;
}

.featured-icecream {
    width: 100%;
    padding: 90px 0 0;
    position: relative;
    background-color: #fff;
}

.featured-icecream::after,
.featured-icecream::before {
    content: '';
    position: absolute;
    width: 120px;
    height: 140px;
    background-image: url(../images/img-6.png);
    background-size: cover;
    background-repeat: no-repeat;
    z-index: 1;
}

.featured-icecream::after {
    bottom: 80px;
    left: 0;
}

.featured-icecream::before {
    top: 180px;
    right: 0;
}

.featured-title {
    font-size: 40px;
    color: #373736;
    font-weight: bold;
    position: relative;
    display: inline-block;
    margin-bottom: 10px;
}

.featured-title::after {
    content: '';
    position: absolute;
    width: 80px;
    height: 6px;
    background-color: #ffd6e1;
    border-radius: 4px;
    bottom: -10px;
    left: 50%;
    transform: translateX(-50%);
}

.featured-subtitle {
    font-size: 16px;
    color: #373736;
    margin-bottom: 30px;
}

.icecream-grid {
    padding-top: 30px;
}

.icecream-card {
    background: linear-gradient(0deg, #ffffff 37%, #f2f2f0 37%);
    padding: 20px;
    box-shadow: 0 0 20px 10px #ededec;
    text-align: center;
    transition: 0.3s;
    height: 100%;
    border-radius: 10px;
}

.icecream-card:hover {
    background: linear-gradient(0deg, #ffffff 37%, #faf0c7 37%);
    transform: translateY(-5px);
}

.icecream-image {
    width: 100%;
    height: 220px;
    overflow: hidden;
    border-radius: 8px;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.icecream-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px;
}

.icecream-price {
    font-size: 24px;
    color: #373736;
    font-weight: bold;
    background: #fff;
    padding: 12px 15px;
    border-radius: 100px;
    display: inline-block;
    font-style: italic;
    margin-bottom: 10px;
}

.icecream-name {
    font-size: 22px;
    color: #373736;
    font-weight: bold;
    margin-top: 10px;
}

.btn-cart {
    margin-top: 10px;
}

.btn-cart a {
    display: inline-block;
    border: 1px solid #fc95c4;
    color: #fc95c4;
    padding: 8px 30px;
    border-radius: 40px;
    text-decoration: none;
    transition: 0.3s;
    font-weight: 500;
}

.btn-cart a:hover {
    background-color: #fc95c4;
    color: #fff;
    border-color: #fc95c4;
}

.btn-seemore {
    margin: 50px auto 0;
    width: 180px;
    text-align: center;
}

.btn-seemore a {
    display: block;
    background-color: #fc95c4;
    color: #fff;
    padding: 10px 0;
    border-radius: 5px;
    font-weight: bold;
    text-decoration: none;
    transition: 0.3s;
}

.btn-seemore a:hover {
    background-color: #1e1e1e;
    color: #faf8f9;
}

.services-section {
    padding: 80px 0;
    background-color: #fff;
}

.services-title {
    font-size: 36px;
    font-weight: bold;
    color: #373736;
    position: relative;
    display: inline-block;
    margin-bottom: 10px;
}

.services-title::after {
    content: '';
    position: absolute;
    width: 80px;
    height: 6px;
    background-color: #ffd6e1;
    border-radius: 4px;
    bottom: -10px;
    left: 50%;
    transform: translateX(-50%);
}

.services-subtitle {
    font-size: 16px;
    color: #373736;
    margin-bottom: 40px;
}

.service-box {
    border: 1px solid #fc95c4;
    padding: 30px 20px;
    border-radius: 10px;
    transition: 0.3s ease;
    background-color: #fff;
    margin-bottom: 30px;
}

.service-box:hover {
    box-shadow: 0 0 15px rgba(252, 149, 196, 0.3);
}

.service-icon {
    font-size: 36px;
    color: #fc95c4;
    margin-bottom: 15px;
}

.service-name {
    font-size: 20px;
    font-weight: bold;
    color: #373736;
    margin-bottom: 10px;
}

.service-text {
    font-size: 15px;
    color: #373736;
    line-height: 1.6;
}

.readmore-btn {
    margin-top: 40px;
}

.readmore-btn a {
    background-color: #fc95c4;
    color: #fff;
    padding: 12px 30px;
    border-radius: 8px;
    font-weight: bold;
    text-decoration: none;
    display: inline-block;
    transition: 0.3s ease;
}

.readmore-btn a:hover {
    background-color: #1e1e1e;
    color: #faf8f9;
}

.testimonial-area {
    padding: 80px 0;
    background: #fff;
    position: relative;
}

.testimonial-title {
    font-size: 42px;
    font-weight: bold;
    color: #333;
    margin-bottom: 40px;
}

.testimonial-wrapper {
    max-width: 950px;
    margin: auto;
    position: relative;
}

.testimonial-box {
    background: #fff;
    padding: 50px 40px 30px;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.08);
    border-radius: 8px;
    position: relative;
}

.testimonial-text {
    font-size: 18px;
    line-height: 1.6;
    color: #333;
    margin-bottom: 30px;
}

.testimonial-name {
    font-size: 22px;
    font-weight: bold;
    color: #1e1e1e;
    margin-bottom: 10px;
}

.testimonial-image img {
    width: 100px;
    border-radius: 10px;
}

.quote-icon {
    width: 80px;
    opacity: 0.05;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 0;
}

.quote-left {
    left: -90px;
}

.quote-right {
    right: -90px;
}

.custom-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: #fc95c4;
    color: #fff;
    padding: 10px 18px;
    font-size: 24px;
    border-radius: 6px;
    text-decoration: none;
    z-index: 1;
    transition: 0.3s ease;
}

.custom-arrow:hover {
    background: #1e1e1e;
    color: #fff;
}

.carousel-control-prev {
    left: -50px;
}

.carousel-control-next {
    right: -50px;
}

footer {
    background-color: #222;
    color: white;
    padding: 50px 20px 20px;
}

footer a,
footer a:hover {
    color: white;
    text-decoration: none;
}

.footer-underline {
    border-bottom: 1px solid #999;
    max-width: 180px;
    margin-bottom: 25px;
    padding-bottom: 5px;
}

.form-control,
.form-control:focus {
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #666;
    border-radius: 0;
    color: white;
    box-shadow: none;
    font-weight: 500;
}

 ::placeholder {
    color: #ccc;
    font-weight: 400;
}

textarea.form-control {
    resize: none;
    height: 70px;
}

.btn-pink {
    background-color: #fa89b6;
    border: none;
    font-weight: 700;
    letter-spacing: 0.1em;
}

.btn-pink:hover,
.btn-pink:focus {
    background-color: #e774a7;
    color: white;
    box-shadow: none;
}

.contact-info i {
    color: #fa89b6;
    margin-right: 8px;
}

.input-group-newsletter .form-control {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.input-group-newsletter .btn-pink {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.social-icons a {
    display: inline-block;
    background: white;
    color: #222;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-radius: 50%;
    margin-right: 15px;
    font-size: 18px;
    transition: background-color 0.3s, color 0.3s;
}

.social-icons a:hover {
    background-color: #fa89b6;
    color: white;
    text-decoration: none;
}

.footer-bottom {
    border-top: 1px solid #444;
    padding-top: 15px;
    font-size: 0.9rem;
    text-align: center;
    margin-top: 40px;
    color: #bbb;
}